Tp::PendingReady Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingReady Class Reference
Utililty classes

The PendingReady class represents the features requested and the reply to a request for an object to become ready. More...

`#include <TelepathyQt/PendingReady>`

Inherits Tp::PendingOperation.

## Public Member Functions
| ~PendingReady ()
DBusProxyPtr | proxy () const
Features | requestedFeatures () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members
Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingReady class represents the features requested and the reply to a request for an object to become ready.

Instances of this class cannot be constructed directly; the only way to get one is via ReadyObject::becomeReady() or a DBusProxyFactory subclass.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingReady::~PendingReady | ( |  | ) |

Class destructor.

## Member Function Documentation

DBusProxyPtr Tp::PendingReady::proxy | ( |  | ) | const

Return the proxy that should become ready.

Returns
  A pointer to the DBusProxy object if the operation was created by a proxy object or a DBusProxyFactory, otherwise a null DBusProxyPtr.

Features Tp::PendingReady::requestedFeatures | ( |  | ) | const

Return the features that were requested to become ready on the object.

Returns
  The requested features as a set of Feature objects.